function Create(self)

	--for stablization
	self.DRotAngle = 0 

	--working variables
	self.Turret = {};
	--create the turrets.
	self.Turret[1] = CreateACrab("Saucer Gun T");
	MovableMan:AddActor(self.Turret[1]);
	self.Turret[1].Offset = Vector(0,-47);
	self.Turret[1].Team = self.Team


end

function Destroy(self)
	for i = 1, #self.Turret do
		if MovableMan:IsActor(self.Turret[i]) == true then
			if self.Health < 1 then
				self.Turret[i]:GibThis()
			else
				self.Turret[i].ToDelete = true
			end
		end
	end
end

function Update(self)


	self:AddForce( Vector(-500 * self.Vel.X , -500 * self.Vel.Y ), Vector(0,0)) --drag
	
	self:AddForce( Vector(0 , -5000 * self.RotAngle ), Vector(-100,0)) --stablization
	self:AddForce( Vector(0 , 5000 * self.RotAngle ), Vector(100,0)) --stablization

	self:AddForce( Vector(0 , -25000 * (self.RotAngle - self.DRotAngle)), Vector(-100,0)) --dampening
	self:AddForce( Vector(0 , 25000 * (self.RotAngle - self.DRotAngle)), Vector(100,0)) --dampening

	self.DRotAngle = self.RotAngle


	--update turret spatial properties
	for i = 1, #self.Turret do
		if MovableMan:IsActor(self.Turret[i]) == true then
			--basic turret position upkeep (so it doesn't fall at 999999m/s)
			self.Turret[i].Vel.X = 0;
			self.Turret[i].Vel.Y = 0;
			--update turret position
			self.Turret[i].RotAngle = self.RotAngle;
			self.Turret[i].Pos = self.Pos + self:RotateOffset(self.Turret[i].Offset)
		end
	end

end
